CON

  _clkmode = XTAL1 + PLL16X
  _xinfreq = 5_000_000

  { FFFF_FFFF / (CLKFREQ / (80Mhz / PLL16)) }
  c80mhz = %0001_0000__0000_0000__0000_0000__0000_0000
  { FFFF_FFFF / (CLKFREQ / (100Mhz / PLL16)) }
  c100mhz = %0001_0100__0000_0000__0000_0000__0000_0000
  { FFFF_FFFF / (CLKFREQ / (140Mhz / PLL16)) }
  c140mhz = %0001_1100__0000_0000__0000_0000__0000_0000
  { FFFF_FFFF / (CLKFREQ / 6.550Mhz) }
  c6p550mhz = 351_650_447
  { FFFF_FFFF / (CLKFREQ / 6.500Mhz) }
  c6p500mhz = 348_966_092


PUB Main | cog
  VCFG := %10 << 29 + COGID << 23 + %1000_0000            'set for broadcast aural on pin 7 using this COG

  CTRB:=%00001_111 << 23        'setup the broadcast PLL internal 16x
  FRQB:=c80mhz                 'start the PLL

  PlayWAV                       'play

PUB PlayWAV | p, time, x
  DIRA[7]~~
  CTRA:=%0001_011 << 23         'setup internal PLL 1x

  x:=clkfreq/11025              'sample rate
  repeat
    p := @beback + 44

    time := cnt
    repeat while p++ < @end
      FRQA := c6p500mhz + byte[p] << 14                  'modulate carrier and amplify the sample
      waitcnt(time += x)

    waitcnt(clkfreq + cnt)

DAT

beback byte
File "expectu.wav"
end byte 0

